---
category: updating
order: 10
toc: false
feedback-widget: false
meta-title: CKEditor 5 migration documentation
meta-description: Learn how to install, integrate, configure and develop CKEditor 5 builds. Browse through API documentation and online samples.
---

# Updating CKEditor 5

Learn how to update from previous versions of CKEditor 5 to the most current one. Find out what breaking changes were introduced between releases and how they affect your CKEditor 5 integration.

<info-box>
	Use the <span class="navigation-hint_desktop">**navigation tree on the left**</span><span class="navigation-hint_mobile">**main menu button in the upper-left corner**</span> to navigate through the documentation. Newly added or meaningfully updated guides are marked with a <span class="tree__item__badge tree__item__badge_new">NEW</span> icon for easy spotting.
</info-box>

**Related links**

 * {@link installation/getting-started/migration-from-ckeditor-4 Migrating from CKEditor 4} &ndash; Learn how to switch from the previous version of our editor.
 * {@link installation/getting-started/quick-start CKEditor 5 installation} &ndash; Learn how to install, integrate and configure CKEditor 5. More complex aspects, like creating custom builds, are explained here, too.
