---
category: api-reference
---

# CKEditor 5's CKFinder integration

[![npm version](https://badge.fury.io/js/%40ckeditor%2Fckeditor5-ckfinder.svg)](https://www.npmjs.com/package/@ckeditor/ckeditor5-ckfinder)

This package implements the {@link features/ckfinder CKFinder feature}. This feature allows you to easily insert images as well as links to files into the editor content. It is a bridge between the CKEditor 5 WYSIWYG editor and the [CKFinder file manager and uploader](https://ckeditor.com/ckfinder).

## Demo

Check out the {@link features/ckfinder#demo demos} in the integration guide.

## Documentation

See the {@link features/ckfinder "CKFinder integration" guide} and the {@link module:ckfinder/ckfinder~CKFinder plugin documentation} to learn more about the integration.

Check out the {@link features/image-upload comprehensive "Image upload" guide} to learn about other ways to upload images into CKEditor 5.

## Installation

```bash
npm install --save @ckeditor/ckeditor5-ckfinder
```

## Contribute

The source code of this package is available on GitHub in https://github.com/ckeditor/ckeditor5/tree/master/packages/ckeditor5-ckfinder.

## External links

* [`@ckeditor/ckeditor5-ckfinder` on npm](https://www.npmjs.com/package/@ckeditor/ckeditor5-ckfinder)
* [`ckeditor/ckeditor5-ckfinder` on GitHub](https://github.com/ckeditor/ckeditor5/tree/master/packages/ckeditor5-ckfinder)
* [Issue tracker](https://github.com/ckeditor/ckeditor5/issues)
* [Changelog](https://github.com/ckeditor/ckeditor5/blob/master/CHANGELOG.md)
