/**
 * @license Copyright (c) 2003-2022, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

/* eslint-disable */

export const longData = `
<h2>APPENDIX C&nbsp;</h2>
<h3>Sample Request for Proposal Language for QBE Contract Goals for Invest-Build&nbsp;</h3>
<h4><span style="color:#666666;">(Department of Purchasing Invest-Build Project from 2019)&nbsp;</span></h4>
<p>QUALIFIED BUSINESS ENTERPRISE (2-1-19) SP P32&nbsp;</p>
<h3>Description&nbsp;</h3>
<p>The purpose of this Special Provision is to carry out the Department of Purchasing's policy of ensuring nondiscrimination
	in the award and administration of contracts financed in whole or in part with Federal funds. This provision is guided
	by 54 CFR Part 3.&nbsp;</p>
<div class="page-break" style="page-break-after:always;"><span style="display:none;">&nbsp;</span></div>
<h4>Definitions&nbsp;</h4>
<figure class="table">
	<table>
		<tbody>
		<tr>
			<td style="vertical-align:top;"><strong>Additional QBE Subcontractors</strong></td>
			<td style="vertical-align:top;">Any QBE submitted at the time of bid that will not be used to meet the QBE goal.
				No submittal of a Letter of Intent is required
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;width:10em;"><strong>Committed QBE Subcontractor</strong></td>
			<td style="vertical-align:top;">Any QBE submitted at the time of bid that is being used to meet the QBE goal by
				submission of a Letter of Intent. Or any QBE used a replacement for a previously committed QBE firm.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Contract Goal Requirement</strong></td>
			<td style="vertical-align:top;">The approved QBE participation at time of award, but not greater than the
				advertised contract goal.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>QBE Goal&nbsp;</strong></td>
			<td style="vertical-align:top;">A portion of the total contract, expressed as a percentage, that is to be
				performed by a committed QBE subcontractor(s).
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Qualified Business Enterprise (QBE)</strong></td>
			<td style="vertical-align:top;">A firm certified as a Qualified Business Enterprise through the Unified
				Certification Program.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Goal Confirmation Letter</strong></td>
			<td style="vertical-align:top;">Written documentation from the Department to the Proposer confirming the
				invest-build team's approved, committed QBE participation along with a listing of the committed QBE firms.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Manufacturer</strong></td>
			<td style="vertical-align:top;">A firm that operates or maintains a factory or establishment that produces, on
				the premises, the materials or supplies obtained by the invest-build team.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Regular Dealer</strong></td>
			<td style="vertical-align:top;">A firm that owns, operates, or maintains a store, warehouse, or other
				establishment in which the materials or supplies required for the performance of the contract are bought,
				kept in stock, and regularly sold to the public in the usual course of business
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Unified Certification Program (UCP)</strong></td>
			<td style="vertical-align:top;">A program that provides comprehensive services and information to applicants for
				QBE certification, such that an applicant is required to apply only once for a QBE certification.The
				Certification Program is in accordance with 54 CFR Part 3.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>CapitalBC Department of Purchasing&nbsp;</strong></td>
			<td style="vertical-align:top;">Department&nbsp; responsible for issuing regulations (54 CFR Part 3) and
				official guidance for the QBE program.
			</td>
		</tr>
		</tbody>
	</table>
</figure>
<div class="page-break" style="page-break-after:always;"><span style="display:none;">&nbsp;</span></div>
<h4>Forms and Websites Referenced In this Provision&nbsp;</h4>
<figure class="table">
	<table>
		<tbody>
		<tr>
			<td style="vertical-align:top;width:10em;"><strong>QBE Payment Tracking System</strong></td>
			<td style="vertical-align:top;">Online system in which the invest-build team enters the payments made to QBE
				subcontractors who have performed work on the project.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>RF-1 QBE Replacement Request Form</strong></td>
			<td style="vertical-align:top;">Form for replacing a committed QBE.&nbsp;</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>SAF Subcontract Approval Form</strong></td>
			<td style="vertical-align:top;">Form required for approval to sublet the contract.&nbsp;</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Joint Check Notification Form</strong></td>
			<td style="vertical-align:top;">Form and procedures for joint check notification. The form acts as a written
				joint check agreement among the parties, providing full and prompt disclosure of the expected use of joint
				checks.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Letter of Intent</strong></td>
			<td style="vertical-align:top;">Form signed by the contractor and the QBE subcontractor, manufacturer or regular
				dealer that affirms that a portion of said contract is going to be performed by the signed QBE for the
				amount listed at the time of bid.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Listing of QBE Subcontractors Form</strong></td>
			<td style="vertical-align:top;">Form for entering QBE subcontractors on a project that will meet this QBE goal
				contained elsewhere in this RFP.
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top;"><strong>Subcontractor Quote Comparison Sheet</strong></td>
			<td style="vertical-align:top;">Spreadsheet for showing all subcontractor quotes in the work areas where QBES
				quoted on the project. This sheet is submitted with good faith effort packages.
			</td>
		</tr>
		</tbody>
	</table>
</figure>
<h3>QBE Goal&nbsp;</h3>
<p>The following QBE goal for participation by Qualified Business Enterprises is established for this contract:&nbsp;</p>
<p>Qualified Business Enterprises 11%</p>
<ul>
	<li>If the QBE goal is more than zero, the invest-build team shall exercise all necessary and reasonable steps to ensure
		that QBES participate in at least the percentage of the contract as set forth above as the QBE goal.
	</li>
	<li>If the QBE goal is zero, the invest-build team shall make an effort to recruit and use QBES during the performance
		of the contract. Any QBE participation obtained shall be reported to the Department.
	</li>
</ul>
<p>This goal is to be met through utilization of construction contractors and/or right-of-way acquisition firms. Utilization
	of QBE firms performing design, other preconstruction services, or construction engineering and inspection are not
	included in this goal.&nbsp;</p>
<h3>Directory of Firms (Directory)&nbsp;</h3>
<p>Real-time information is available about firms doing business with the department and firms that are certified through
	UCP in the Directory of Firms. Only firms identified in the directory as QBE certified shall be used to meet the QBE
	goal. The directory can be found at the following link: <a
			href="https://partner.ncdot.gov/VendorDirectory/default.html">https://partner.capitalbc.com/VendorDirectory/default.html</a>.&nbsp;
</p>
<p>For the listing to be validated, the logo of the firm must be submitted to the directory. You can submit your logos 300
	pixels to 500 pixels at 72PPI to <a href="mailto:QBE@capitalbc.com">QBE@capitalbc.com</a> with PNG format.&nbsp;</p>
<figure class="image"><img
		src="https://c.cksource.com/a/1/img/docs/pagination-illustration.png"
		alt="Logos must be 300 px to 500 px in PNG format.">
	<figcaption>Logos must be 300 px to 500 px in PNG format.</figcaption>
</figure>
<p>The listing of an individual firm in the directory shall not be construed as an endorsement of the firm's capability to
	perform certain work.</p><h4>Listing of QBE Subcontractors&nbsp;</h4>
<p>At the time of bid, proposers shall submit all QBE participation that they anticipate to use during the life of the
	contract. Only those identified to meet the QBE goal will be considered committed, even though the listing shall include
	both committed QBE subcontractors and additional QBE subcontractors. Additional QBE subcontractor participation
	submitted at the time of bid will be used toward the department's overall race-neutral goal. Only those firms with
	current QBE certification at the time of Price Proposal opening will be acceptable for listing in the proposer's
	submittal of QBE participation. The invest-build team shall indicate the following required information:&nbsp;</p>
<ol>
	<li><strong>If the QBE goal is more than zero</strong>,
		<ol>
			<li>Proposers, at the time the Price Proposal is submitted, shall submit a listing of QBE participation,
				including the names and addresses on Listing of QBE Subcontractors contained elsewhere in the contract
				documents in order for the Price Proposal to be considered responsive. Proposers shall indicate the total
				dollar value of the QBE participation for the contract.
			</li>
			<li>If proposers have no QBE participation, they shall indicate this on the Listing of QBE Subcontractors by
				entering the word "None" or the number "0." This form shall be completed in its entirety.
			</li>
			<li>The Proposer shall be responsible for ensuring that the QBE is certified at the time of bid by checking the
				Directory of Firms. If the firm is not certified at the time of the opening of the Price Proposals, that
				QBE's participation will not count toward achieving the QBE goal.
			</li>
		</ol>
	</li>
	<li><strong>If the QBE goal is zero</strong>, proposers, at the time the Price Proposal is submitted, shall enter the
		word "None"; or the number "0"; or if there is participation, add the value on the Listing of QBE Subcontractors
		contained elsewhere in the contract documents.
	</li>
</ol>
<p><strong>Blank forms will not be deemed to represent zero participation.</strong> Price Proposals submitted that do not
	have QBE participation indicated on the appropriate form will not be read publicly during the opening of the Price
	Proposals. The Department will not consider these Price Proposals for award and the proposal will be rejected.&nbsp;</p>
<h4>QBE Prime Contractor&nbsp;</h4>
<p>When a certified QBE firm proposes a contract that contains a QBE goal, the QBE firm is responsible for meeting the goal
	or making good faith efforts to meet the goal, just like any other proposer. In most cases, a QBE proposer on a contract
	will meet the QBE goal by virtue of the work it performs on the contract with its own forces. However, all the work that
	is performed by the QBE proposer and any other QBE subcontractors will count toward the QBE goal. The QBE proposer shall
	list itself along with any QBE subcontractors, if any, in order to receive credit toward the QBE goal.&nbsp;</p>
<p>For example, if the QBE goal is 45% and the QBE proposer will only perform 40% of the contract work, the prime will list
	itself at 40%, and the additional 5% shall be obtained through additional QBE participation with QBE subcontractors or
	documented through a good faith effort.&nbsp;</p>
<p>QBE prime contractors shall also follow Sections A and B listed under<i> Listing of QBE Subcontractor</i> just as a
	non-QBE proposer would.&nbsp;</p>
<h3>Written Documentation - Letter of Intent&nbsp;</h3>
<p>The proposer shall submit written documentation for each QBE that will be used to meet the QBE goal of the contract,
	indicating the proposer's commitment to use the QBE in the contract. This documentation shall be submitted on the
	department's form titled <i>Letter of Intent</i>.&nbsp;</p>
<p>The documentation shall be received in the office of the Contractor Utilization Engineer or at QBE@capitalbc.com no later
	than 12:00 noon of the sixth calendar day following opening of Price Proposals, unless the sixth day falls on an
	official state holiday. In that situation, it is due in the office of Contractor Utilization Engineer no later than
	12:00 noon on the next official state business day.&nbsp;</p>
<p>If the proposer fails to submit the Letter of Intent from each committed QBE to be used toward the QBE goal, or if the
	form is incomplete (i.e., both signatures are not present), the QBE participation will not count toward meeting the QBE
	goal. If the lack of this participation drops the commitment below the QBE goal, the invest-build team shall submit
	evidence of good faith efforts, completed in its entirety, to the Contractor Utilization Engineer or QBE@capitalbc.com
	no later than 12:00 noon on the eighth calendar day following opening of the Price Proposals, unless the eighth day
	falls on an official state holiday. In that situation, it is due in the office of the Contractor Utilization Engineer no
	later than 12:00 noon on the next official state business day.&nbsp;</p><h4>Submission of Good Faith Effort&nbsp;</h4>
<p>If the Proposer fails to meet or exceed the QBE goal, the proposer with the apparent adjusted low price shall submit to
	the department documentation of adequate good faith efforts made to reach the QBE goal.&nbsp;</p>
<p>A hard copy and an electronic copy of this information shall be received in the office of the Contractor Utilization
	Engineer or at QBE@capitalbc.com no later than 12:00 noon of the sixth calendar day following opening of the Price
	Proposals unless the sixth day falls on an official state holiday. In that situation, it is due in the office of the
	Contractor Utilization Engineer the next official state business day. If the invest-build team cannot send the
	information electronically, then one complete set and nine copies of this information shall be received under the same
	time constraints.&nbsp;</p>
<p>Note: Where the information submitted includes repetitious solicitation letters, it will be acceptable to submit a
	representative letter along with a distribution list of the firms that were solicited. Documentation of QBE quotations
	shall be a part of the good faith effort submission. This documentation may include written subcontractor quotations,
	telephone log notations of verbal quotations, or other types of quotation documentation.&nbsp;</p><h4>Consideration of
Good Faith Effort for Projects with QBE Goals More Than Zero&nbsp;</h4>
<p>Adequate good faith efforts mean that the proposer took all necessary and reasonable steps to achieve the goal which, by
	their scope, intensity, and appropriateness, could reasonably be expected to obtain sufficient QBE participation.
	Adequate good faith efforts also means that the proposer actively and aggressively sought QBE participation. Mere
	proforma efforts are not considered good faith efforts.</p>
<p>The Department will consider the quality, quantity, and intensity of the different kinds of efforts a proposer has made.
	Listed below are examples of the types of actions a proposer will take in making a good faith effort to meet the goal.
	They are not intended to be exclusive or exhaustive, nor is the list intended to be a mandatory checklist.&nbsp;</p>
<ul>
	<li>Soliciting through all reasonable and available means (e.g., attendance at pre-bid meetings, advertising and/or
		written notices through the use of the Directory of Firms) the interest of all certified QBES who have the
		capability to perform the work of the contract. The proposer must solicit this interest no less than 10 days prior
		to the opening of the Price Proposals to allow the QBES to respond to the solicitation. Solicitation shall provide
		the opportunity to QBES within the division and surrounding divisions where the project is located. The proposer
		must determine with certainty if the QBES are interested by taking appropriate steps to follow up initial
		solicitations.
	</li>
	<li>Selecting portions of the work to be performed by QBES in order to increase the likelihood that the QBE goals will
		be achieved. This includes, where appropriate, breaking out contract work items into economically feasible units to
		facilitate QBE participation, even when the prime contractor might otherwise prefer to perform these work items with
		its own forces.
	</li>
	<li>Providing interested QBES with adequate information about the plans, specifications, and requirements of the
		contract in a timely manner to assist them in responding to a solicitation.
		<ul>
			<li>Negotiating in good faith with interested QBES. It is the proposer's responsibility to make a portion of the
				work available to QBE subcontractors and suppliers and to select those portions of the work or material
				needs consistent with the available QBE subcontractors and suppliers, so as to facilitate QBE participation.
				Evidence of such negotiation includes the names, addresses, and telephone numbers of QBES that were
				considered; a description of the information provided regarding the plans and specifications for the work
				selected for subcontracting; and evidence as to why additional agreements could not be reached for QBES to
				perform the work.
			</li>
			<li>A proposer using good business judgment would consider a number of factors in negotiating with
				subcontractors, including QBE subcontractors, and would take a firm's price and capabilities as well as
				contract goals into consideration. However, the fact that there may be some additional costs involved in
				finding and using QBES is not in itself sufficient reason for a proposer's failure to meet the contract QBE
				goal, as long as such costs are reasonable. Also, the ability or desire of a prime contractor to perform the
				work of a contract with its own organization does not relieve the proposer of the responsibility to make
				good faith efforts. Proposing invest-build teams are not, however, required to accept higher quotes from
				QBES if the price difference is excessive or unreasonable.
			</li>
		</ul>
	</li>
	<li>Not rejecting QBES as being unqualified without sound reasons based on a thorough investigation of their
		capabilities. The proposer's standing within its industry; membership in specific groups, organizations, or
		associations; and political or social affiliations (for example, union vs. non-union employee status) are not
		legitimate causes for the rejection or non solicitation of bids in the proposer's efforts to meet the project goal.
	</li>
	<li>Making efforts to assist interested QBES in obtaining a recipient or proposer. bonding, lines of credit, or
		insurance as required by the
	</li>
	<li>Making efforts to assist interested QBES in obtaining necessary equipment, supplies, materials, or related
		assistance or services.
	</li>
	<li>Effectively using the services of available minority/women community organizations; minority/women contractors'
		groups; Federal, State, and local minority/women business assistance offices; and other organizations as allowed on
		a case-by-case basis to provide assistance in the recruitment and placement of QBES. Contact within 7 days from the
		opening of the Price Proposals the Business Development Manager in the Business Opportunity and Work Force
		Development Unit to give notification of the proposer's inability to get QBE quotes.
	</li>
	<li>Any other evidence that the proposer submits which shows that the proposer has made reasonable good faith efforts to
		meet the QBE goal.
	</li>
</ul>
<p>In addition, the Department may take into account the following:</p>
<ol>
	<li>Whether the proposer's documentation reflects a clear and realistic plan for achieving the QBE goal.</li>
	<li>The proposer's past performance in meeting the QBE goals.</li>
	<li>The performance of other proposers in meeting the QBE goal. For example, when the proposer with the apparent
		adjusted low price fails to meet the QBE goal, but others meet it, you may reasonably raise the question of whether,
		with additional reasonable efforts, the proposer with the apparent adjusted low price could have met the goal. If
		the proposer with the apparent adjusted low price fails to meet the QBE goal but meets or exceeds the average QBE
		participation obtained by other proposers, the department may view this, in conjunction with other factors, as
		evidence of the proposer with the apparent adjusted low price having made a good faith effort.
	</li>
</ol>
<p>If the Department does not award the contract to the proposer with the apparent adjusted low price, the Department
	reserves the right to award the contract to the proposer with the next adjusted lowest adjusted price that can satisfy
	to the Department that the QBE goal can be met or that an adequate good faith effort has been made to meet the QBE goal.&nbsp;</p>
<h4>Non-Good Faith Appeal&nbsp;</h4>
<p>The Contractor Utilization Engineer will notify the invest-build team verbally and in writing of non-good faith. A
	invest-build team may appeal a determination of non-good faith made by the Goal Compliance Committee. If an
	investment-build team wishes to appeal the determination made by the Committee, they shall provide written notification
	to the Contractual Services Engineer or at QBE@capitalbc.com. The appeal shall be made within 2 business days of
	notification of the determination of non-good faith.&nbsp;</p><h4>Counting QBE Participation Toward Meeting QBE Goal&nbsp;</h4>
<h5><span style="color:#434343;">Participation</span></h5>
<p>The total dollar value of the participation by a committed QBE will be counted toward the contract goal requirement. The
	total dollar value of participation by a committed QBE will be based upon the value of work actually performed by the
	QBE and the actual payments to QBE firms by the invest-build team.</p><h5><span
	style="color:#434343;">Joint Checks</span></h5>
<p>Prior notification of joint check use shall be required when counting QBE participation for services or purchases that
	involves the use of a joint check. Notification shall be through submission of Joint Check Notification Form and the use
	of joint checks shall be in accordance with the Department's Joint Check Procedures.&nbsp;</p><h5><span
	style="color:#434343;">Subcontracts&nbsp;</span></h5>
<p>&nbsp;A QBE may enter into subcontracts. Work that a QBE subcontracts to another QBE firm may be counted toward the
	contract goal requirement. Work that a QBE subcontracts to a requirement. If a QBE contractor or subcontractor
	subcontracts a significantly greater portion of the work of the con- non-QBE firm does not count toward the contract
	goal tract than would be expected on the basis of standard industry practices, it shall be presumed that the QBE is not
	performing a commercially useful function. The QBE may present evidence to rebut this presumption to the department.&nbsp;</p>
<h5><span style="color:#434343;">Joint Venture</span></h5>
<p>When a QBE performs as a participant in a joint venture, the invest-build team may count toward its contract goal
	requirement a portion of the total value of participation with the QBE in the joint venture, that portion of the total
	dollar value being a distinct, clearly defined portion of work that the QBE performs with its forces.&nbsp;</p><h5><span
	style="color:#434343;">Suppliers</span></h5>
<p>A invest-build team may count toward its QBE requirement 60% of its expenditures for materials and supplies required to
	complete the contract and obtained from a QBE regular dealer and 100% of such expenditures from a QBE manufacturer.</p>
<h5><span style="color:#434343;">Manufacturers and Regular Dealers</span></h5>
<p>An invest-build team may count toward its contract goal requirement only expenditures to DBES that perform a com-
	mercially useful function in the work of a contract.</p>
<ul>
	<li>The fees or commissions charged by a QBE firm for providing a bona fide service, such as providing bonds or
		insurance specifically required for the performance of a CapitalBC-assisted contract, provided the fees or
		commissions are determined to be reasonable and not excessive compared with fees and commissions customarily allowed
		for similar services.
	</li>
	<li>With respect to materials or supplies purchased from a QBE that is neither a manufacturer nor a regular dealer,
		count the entire amount of fees or commissions charged for assistance in the procurement of the materials and
		supplies, or fees or transportation charges for the delivery of materials or supplies required (but not the cost of
		the materials and supplies themselves), provided the fees are determined to be reasonable and not excessive compared
		with fees customarily allowed for similar services.
	</li>
</ul>
<h3>Commercially Useful Function&nbsp;</h3><h4>QBE Utilization</h4>
<p>The invest-build team may count toward its contract goal requirement only expenditures to QBES that perform a com-
	mercially useful function in the work of a contract. A QBE performs a commercially useful function when it is
	responsible for execution of the work of the contract and is carrying out its responsibilities by actually performing,
	managing, and supervising the work involved. To perform a commercially useful function, the QBE shall also be
	responsible with respect to materials and supplies used on the contract, for negotiating price, determining quality and
	quantity, ordering the material and installing (where applicable) and paying for the material itself. To determine
	whether a QBE is performing a commercially useful function, the department will evaluate the amount of work
	subcontracted, industry practices, whether the amount the firm is to be paid under the contract is commensurate with the
	work it is actually performing and the QBE credit claimed for its performance of the work, and any other relevant
	factors.&nbsp;</p><h4>QBE Partner Utilizations&nbsp;</h4>
<p>The following factors will be used to determine if a QBE partner firm is performing a commercially useful function.&nbsp;&nbsp;</p>
<ul>
	<li>The QBE shall be responsible for the management and supervision of the entire partner operation for which it is
		responsible on a particular contract, and there shall not be a contrived arrangement for the purpose of meeting QBE
		goals.
	</li>
	<li>The QBE may subcontract the work to another QBE firm, including an owner-operator who is certified as a QBE. The QBE
		who subcontracts work to another QBE receives credit for the total value of the services the subcontracted QBE
		provides on the contract.
	</li>
	<li>The QBE may also subcontract the work to a non-QBE firm, including an owner-operator. The QBE who subcontracts the
		work to a non-QBE is entitled to credit for the total value of services provided by the non-QBE subcontractor not to
		exceed the contract. Additional participation by non-QBE subcontractors receives credit only for the fee or
		commission it receives as a result of the subcontract arrangement. The value of services performed under subcontract
		agreements between the QBE and the invest-build team will not count toward the QBE contract requirement.
	</li>
	<li>A QBE may lease equipment from an established equipment leasing business open to the general public. The lease must
		indicate that the QBE has exclusive use of and control over the equipment. This requirement does not preclude the
		leased equipment from working for others during the term of the lease with the consent of the QBE, so long as the
		lease gives the QBE absolute priority for use of the leased equipment. This type of lease may count toward the QBE's
		credit as long as the operator of the equipment is under the QBE's payroll.
	</li>
	<li>Subcontracted/leased equipment shall display clearly the name of the QBE that they are subcon- tracted/leased to and
		their own company name if it is not identified on the equipment itself.
	</li>
</ul>
<h4>A QBE Replacement&nbsp;</h4>
<p>When an invest-build team has relied on a commitment to a QBE firm (or an approved substitute QBE firm) to meet all or
	part of a contract goal requirement, the invest-build team shall not terminate the QBE for convenience. This includes,
	but is not limited to, instances in which the invest-build team seeks to perform the work of the terminated
	subcontractor with another QBE subcontractor, a non-QBE subcontractor, or with the contractor's own forces or those of
	an affiliate. A QBE may only be terminated after receiving the Engineer's written approval based upon a finding of good
	cause for the termination.&nbsp;</p>
<p>All requests for replacement of a committed QBE firm shall be submitted to the Engineer for approval on Form RF-1 (QBE
	Replacement Request). If the invest-build team fails to follow this procedure, the prime contractor or other affiliated
	companies within the invest-build team may be disqualified from further bidding for a period of up to 6
	months.&nbsp;</p>
<p>The invest-build team shall comply with the following for replacement of a committed QBE:&nbsp;</p><h4>
Performance-Related Replacement&nbsp;</h4>
<p>When a committed QBE is terminated for good cause as stated above, an additional QBE that was submitted at the time of
	bid may be used to fulfill the QBE commitment. A good faith effort will only be required for removing a committed QBE if
	there were no additional QBEs submitted at the time of bid to cover the same amount of work as the QBE that was
	terminated.&nbsp;</p>
<p>If a replacement QBE is not found that can perform at least the same amount of work as the terminated QBE, the design-
	build team shall submit a good faith effort documenting the steps taken. Such documentation shall include, but not be
	limited to, the following:&nbsp;</p>
<ol>
	<li>Copies of written notification to QBES that their interest is solicited in contracting the work defaulted by the
		previ- ous QBE or in subcontracting other items of work in the contract.
	</li>
	<li>Efforts to negotiate with QBES for specific sub-bids, including, at a minimum:
		<ol>
			<li>The names, addresses, and telephone numbers of QBES who were contacted.</li>
			<li>A description of the information provided to QBES regarding the plans and specifications for portions of the
				work to be performed.
			</li>
		</ol>
	</li>
	<li>A list of reasons why QBE quotes were not accepted.</li>
	<li>Efforts made to assist the QBES contacted, if needed, in obtaining bonding or insurance required by the design-
		build team.
	</li>
</ol>
<h4>Decertification Replacement&nbsp;</h4>
<ul>
	<li>When a committed QBE is decertified by the department after the SAF (Subcontract Approval Form) has been received by
		the department, the department will not require the invest-build team to solicit replacement QBE participation equal
		to the remaining work to be performed by the decertified firm. The participation equal to the remaining work
		performed by the decertified firm will count toward the contract goal requirement.
	</li>
	<li>When a committed QBE is decertified prior to the department receiving the SAF (Subcontract Approval Form) for the
		named QBE firm, the invest-build team shall take all necessary and reasonable steps to replace the QBE subcontractor
		with another QBE subcontractor to perform at least the same amount of work to meet the QBE goal requirement, If a
		QBE firm is not found to do the same amount of work, a good faith effort must be submitted to CapitalBC (see A
		herein for required documentation).
	</li>
</ul>`;

export const mediumData =
	`<h2 style="text-align:center;"><span style="font-family:Georgia, serif;font-size:26px;">The Flavorful Tuscany Meetup</span></h2><h3 style="text-align:center;"><span style="color:hsl(210,75%,60%);font-family:Georgia, serif;font-size:22px;">Welcome letter</span></h3><p>Dear Guest,</p><p>We are delighted to welcome you to the annual <i>Flavorful Tuscany Meetup</i> and hope you will enjoy the programme as well as your stay at the <a href="https://ckeditor.com">Bilancino Hotel</a>.</p><p>Please find attached the full schedule of the event.</p><blockquote><p>The annual Flavorful Tuscany meetups are always a culinary discovery. You get the best of Tuscan flavors during an intense one-day stay at one of the top hotels of the region. All the sessions are lead by top chefs passionate about their profession. I would certainly recommend to save the date in your calendar for this one!</p><p>Angelina Calvino, food journalist</p></blockquote><p>Please arrive at the <a href="https://ckeditor.com">Bilancino Hotel</a> reception desk at least <strong>half an hour earlier</strong> to make sure that the registration process goes as smoothly as possible.</p><p>We look forward to welcoming you to the event.</p><figure class="image reset-margin image_resized" style="width:180px;"><img src="https://c.cksource.com/a/1/img/docs/signature.png" alt="Victoria Valc signature"></figure><p><strong>Victoria Valc</strong></p><p><strong>Event Manager</strong><br><strong>Bilancino Hotel</strong></p><p>&nbsp;</p><div class="page-break" style="page-break-after:always;"><span style="display:none;">&nbsp;</span></div><p>&nbsp;</p><h3 style="text-align:center;"><span style="color:hsl(210,75%,60%);font-family:Georgia, serif;font-size:22px;">The Flavorful Tuscany Meetup Schedule</span></h3><figure class="table" style="width:597px;"><table><thead><tr><th style="background-color:hsl(0, 0%, 60%);" colspan="2"><span style="color:hsl(0,0%,100%);">Saturday, July 14</span></th></tr></thead><tbody><tr><td style="background-color:hsl(0, 0%, 90%);text-align:center;">9:30 AM - 11:30 AM</td><td><p><strong>Americano vs. Brewed - “know your coffee”</strong> with:&nbsp;</p><ul><li>Giulia Bianchi</li><li>Stefano Garau</li><li>Giuseppe Russo</li></ul></td></tr><tr><td style="background-color:hsl(0, 0%, 90%);text-align:center;">1:00 PM - 3:00 PM</td><td><p><strong>Pappardelle al pomodoro</strong> - live cooking</p><p>Incorporate the freshest ingredients&nbsp;<br>with Rita Fresco</p></td></tr><tr><td style="background-color:hsl(0, 0%, 90%);text-align:center;">5:00 PM - 8:00 PM</td><td><strong>Tuscan vineyards at a glance</strong> - wine-tasting&nbsp;<br>with Frederico Riscoli</td></tr></tbody></table></figure><p>&nbsp;</p>`;


export const shortData =
	`<h2>The three greatest things you learn from traveling</h2><p>Like all the great things on earth traveling teaches us by example. Here are some of the most precious lessons I’ve learned over the years of traveling.</p><h3>Appreciation of diversity</h3><p>Getting used to an entirely different culture can be challenging. While it’s also nice to learn about cultures online or from books, nothing comes close to experiencing cultural diversity in person. You learn to appreciate each and every single one of the differences while you become more culturally fluid.</p><blockquote><p>The real voyage of discovery consists not in seeking new landscapes, but having new eyes.</p><p><strong>Marcel Proust</strong></p></blockquote>`;
